summaryrefslogtreecommitdiff
path: root/lib/mesa/.gitlab-ci/crosvm-init.sh
diff options
context:
space:
mode:
authorJonathan Gray <jsg@cvs.openbsd.org>2022-02-24 01:57:18 +0000
committerJonathan Gray <jsg@cvs.openbsd.org>2022-02-24 01:57:18 +0000
commitb24b5b9049e889ee4eb39b565bcc8d48bd45ab48 (patch)
tree658ca4e6b41655f49463c85edbaeda48979c394c /lib/mesa/.gitlab-ci/crosvm-init.sh
parent57768bbb154c2879d34ec20e401b19472e77aaf7 (diff)
Import Mesa 21.3.7
Diffstat (limited to 'lib/mesa/.gitlab-ci/crosvm-init.sh')
-rwxr-xr-xlib/mesa/.gitlab-ci/crosvm-init.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/lib/mesa/.gitlab-ci/crosvm-init.sh b/lib/mesa/.gitlab-ci/crosvm-init.sh
new file mode 100755
index 000000000..63124fe0f
--- /dev/null
+++ b/lib/mesa/.gitlab-ci/crosvm-init.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -ex
+
+mount -t proc none /proc
+mount -t sysfs none /sys
+mount -t devtmpfs none /dev || echo possibly already mounted
+mkdir -p /dev/pts
+mount -t devpts devpts /dev/pts
+mount -t tmpfs tmpfs /tmp
+
+. /crosvm-env.sh
+
+# / is ro
+export PIGLIT_REPLAY_EXTRA_ARGS="$PIGLIT_REPLAY_EXTRA_ARGS --db-path /tmp/replayer-db"
+
+if sh $CROSVM_TEST_SCRIPT; then
+ touch /results/success
+fi
+
+sleep 5 # Leave some time to get the last output flushed out
+
+poweroff -d -n -f || true
+
+sleep 10 # Just in case init would exit before the kernel shuts down the VM
+
+exit 1